[arch-commits] Commit in coreutils/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Thu May 30 04:02:23 UTC 2013


    Date: Thursday, May 30, 2013 @ 06:02:22
  Author: allan
Revision: 186609

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  coreutils/repos/staging-i686/
  coreutils/repos/staging-i686/PKGBUILD
    (from rev 186608, coreutils/trunk/PKGBUILD)
  coreutils/repos/staging-i686/coreutils.install
    (from rev 186608, coreutils/trunk/coreutils.install)
  coreutils/repos/staging-x86_64/
  coreutils/repos/staging-x86_64/PKGBUILD
    (from rev 186608, coreutils/trunk/PKGBUILD)
  coreutils/repos/staging-x86_64/coreutils.install
    (from rev 186608, coreutils/trunk/coreutils.install)

----------------------------------+
 staging-i686/PKGBUILD            |   34 ++++++++++++++++++++++++++++++++++
 staging-i686/coreutils.install   |   17 +++++++++++++++++
 staging-x86_64/PKGBUILD          |   34 ++++++++++++++++++++++++++++++++++
 staging-x86_64/coreutils.install |   17 +++++++++++++++++
 4 files changed, 102 insertions(+)

Copied: coreutils/repos/staging-i686/PKGBUILD (from rev 186608, coreutils/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-05-30 04:02:22 UTC (rev 186609)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.21
+pkgrel=2
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('065ba41828644eca5dd8163446de5d64'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: coreutils/repos/staging-i686/coreutils.install (from rev 186608, coreutils/trunk/coreutils.install)
===================================================================
--- staging-i686/coreutils.install	                        (rev 0)
+++ staging-i686/coreutils.install	2013-05-30 04:02:22 UTC (rev 186609)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+

Copied: coreutils/repos/staging-x86_64/PKGBUILD (from rev 186608, coreutils/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-05-30 04:02:22 UTC (rev 186609)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.21
+pkgrel=2
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('065ba41828644eca5dd8163446de5d64'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: coreutils/repos/staging-x86_64/coreutils.install (from rev 186608, coreutils/trunk/coreutils.install)
===================================================================
--- staging-x86_64/coreutils.install	                        (rev 0)
+++ staging-x86_64/coreutils.install	2013-05-30 04:02:22 UTC (rev 186609)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+




More information about the arch-commits mailing list